﻿body {
    overflow-x: hidden;
}

.home-Container {
    background-color: transparent;
    position: relative;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    padding-top: 17.5vh;
    align-items: center;
    gap: 5vh;
    padding-bottom: 10vh;
}

/* Search Bar */
.BIimg1 {
    position: absolute;
    left: 50%;
    width: 40vw;
    filter: invert(50%);
    transform: translateX(-50%);
    top: 15.5vh;
    pointer-events: none;
    z-index: -1;
}

.BIimg2 {
    pointer-events: none;
}

.search {
    --text-color: black;
    --primary-color: black;
    --secondary-color: cyan;
    --border-radius: 15px;
    --width: 40vw;
    --height: 5.75vh;
    background: white;
    width: fit-content;
    height: var(--height);
    position: relative;
    overflow: hidden;
    border-radius: var(--border-radius);
    box-shadow: 0 .25vw 0 rgba(0, 0, 0, .25);
    display: flex;
    justify-content: center;
    align-items: center;
    transition: box-shadow 0.3s ease;
    z-index: 0;
}

    .search input[type="text"] {
        position: relative;
        width: var(--height);
        height: var(--height);
        font: 400 1.25vw 'Varela Round', sans-serif;
        color: var(--text-color);
        border: 0;
        box-sizing: border-box;
        outline: none;
        padding: 0 0 0 40px;
        transition: width .6s ease;
        z-index: 10;
        opacity: 0;
        cursor: pointer;
    }

        .search input[type="text"]:focus {
            z-index: 0;
            opacity: 1;
            width: var(--width);
        }

            .search input[type="text"]:focus ~ .symbol::before {
                width: 0%;
            }

            .search input[type="text"]:focus ~ .symbol::after {
                clip-path: inset(0% 0% 0% 100%);
                transition: clip-path .04s linear .105s;
            }

            .search input[type="text"]:focus ~ .symbol .cloud {
                top: -30px;
                left: -30px;
                transform: translate(0, 0);
                transition: all .6s ease;
            }

            .search input[type="text"]:focus ~ .symbol .lens {
                top: 20px;
                left: 15px;
                transform: translate(0, 0);
                fill: var(--secondary-color);
                transition: top .5s ease .1s, left .5s ease .1s, fill .3s ease;
            }

    .search .symbol {
        height: 100%;
        width: 100%;
        position: absolute;
        top: 0;
        z-index: 1;
        display: flex;
        justify-content: center;
        align-items: center;
    }

        .search .symbol::before {
            content: "";
            position: absolute;
            right: 0;
            width: 100%;
            height: 100%;
            background: var(--primary-color);
            z-index: -1;
            transition: width .6s ease;
        }

        .search .symbol::after {
            content: "";
            position: absolute;
            top: 21px;
            left: 21px;
            width: 20px;
            height: 20px;
            border-radius: 50%;
            background: var(--primary-color);
            z-index: 1;
            clip-path: inset(0% 0% 0% 0%);
            transition: clip-path .04s linear .225s;
        }

        .search .symbol .cloud,
        .search .symbol .lens {
            position: absolute;
            fill: #fff;
            stroke: none;
            top: 50%;
            left: 50%;
        }

        .search .symbol .cloud {
            width: 35px;
            height: 32px;
            transform: translate(-50%, -60%);
            transition: all .6s ease;
        }

        .search .symbol .lens {
            fill: #fff;
            width: 16px;
            height: 16px;
            z-index: 2;
            top: 24px;
            left: 24px;
            transition: top .3s ease, left .3s ease, fill .2s ease .2s;
        }

.search-button {
    position: absolute;
    right: 10px;
    height: calc(var(--height) - 10px);
    background-color: var(--primary-color);
    color: white;
    border: none;
    border-radius: var(--border-radius);
    padding: 0 15px;
    cursor: pointer;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.25s ease, visibility 0.25s ease;
    z-index: 3;
}

    .search-button.show {
        opacity: 1;
        visibility: visible;
    }

    .search-button.hide {
        opacity: 0;
        visibility: hidden;
    }


.project-card {
    display: flex;
    background-color: white;
    border-radius: 15px;
    overflow: hidden;
    width: 75vw;
    height: 25vh;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.25);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    cursor: pointer;
    text-decoration: none;
    position: relative;
}

    .project-card:hover {
        transform: translateY(-5px);
        box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2), 0 0 50px cyan;
    }

    .project-card::before {
        content: "";
        position: absolute;
        top: 0;
        left: 100%;
        width: 200%;
        height: 100%;
        background: repeating-linear-gradient( 45deg, rgba(255, 255, 255, .025), rgba(255, 255, 255, .025) 10px, transparent 10px, transparent 20px );
    }

    .project-card:hover::before {
        left: 0;
    }

.image-container {
    position: relative;
    width: 25%;
    height: 100%;
    overflow: hidden;
    pointer-events: none;
}

.project-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.3s ease;
}

.project-info {
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 75%;
    background-color: black;
    color: white;
    transition: background-color 0.3s ease, color 0.3s ease;
    text-align: center;
    pointer-events: none;
}

    .project-info h3 {
        margin-left: 0.5vw;
        font-size: 2vw;
        color: white;
        font-family: CF1;
        transition: color 0.3s ease;
    }

    .project-info p {
        font-size: 0.8vw;
        color: #00CED1;
        font-family: CF1;
        transition: color 0.3s ease;
    }

        .project-info p:last-of-type {
            color: #D4D4D4;
            margin: 1vw 0 0 0;
            padding: 0 3vw;
            font-size: 1vw;
            font-weight: 100;
            font-family: sans-serif;
        }

.project-card:hover .project-image {
    transform: scale(1.025);
}

.project-card:hover .project-info {
    background-color: black;
}

    .project-card:hover .project-info p:last-of-type {
        color: white;
    }

.release-date,
.release-id {
    padding: 0 0.25vw;
}

.separator {
    color: white; /* A different color for the separator to make it distinct */
}
